## kadu 0.10.1

=== CMakeLists.txt ===
project (kadu)

# minimal required versions
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.6.0")
set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
option (BUILD_PLUGINS "Switch to Off if you do not want to build plugins" ON)

# configuration
option (INSTALL_CMAKE_MODULE "Install cmake modules" ON)
if (UNIX)
	option (SIG_HANDLING_ENABLED "Define if you want system signals handling" ON)
	if (UNIX AND NOT APPLE)
		option (USE_X11_XFIXES "Use X11 XFixes extension (Desktop Linux)" ON)
	endif (UNIX AND NOT APPLE)
endif (UNIX)

if (NOT NETWORK_IMPLEMENTATION)
	include ("cmake/FindQNtrack.cmake")
	if (QNTRACK_FOUND)
		set (NETWORK_IMPLEMENTATION "ntrack" CACHE STRING "Select network-aware implementation (Qt/ntrack/dummy)" FORCE)
		message (STATUS "No NETWORK_IMPLEMENTATION defined. Autodetected implementation: ntrack")
	else (QNTRACK_FOUND)
		set (NETWORK_IMPLEMENTATION "Qt" CACHE STRING "Select network-aware implementation (Qt/ntrack/dummy)" FORCE)
		message (STATUS "No NETWORK_IMPLEMENTATION defined. Autodetected implementation: Qt")
	endif (QNTRACK_FOUND)
endif (NOT NETWORK_IMPLEMENTATION)

if (NOT BUILD_DESCRIPTION)
	set (BUILD_DESCRIPTION "Compiled from sources" CACHE STRING "Build description" FORCE)
endif (NOT BUILD_DESCRIPTION)

# build version string if cmake < 2.6.3
if (NOT DEFINED CMAKE_VERSION)
	set (CMAKE_VERSION "${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}.${CMAKE_PATCH_VERSION}")
endif (NOT DEFINED CMAKE_VERSION)

cmake_minimum_required (VERSION ${CMAKE_MIN_VERSION} FATAL_ERROR)

if (COMMAND cmake_policy)
	cmake_policy (SET CMP0003 NEW)

	if (${CMAKE_VERSION} VERSION_GREATER 2.8.0)
		cmake_policy (SET CMP0015 OLD)
	endif (${CMAKE_VERSION} VERSION_GREATER 2.8.0)
endif (COMMAND cmake_policy)

include (FindPkgConfig)
include (CheckIncludeFiles)
include (CheckFunctionExists)

if (NOT KADU_VERSION)
	find_program (GIT_EXECUTABLE git DOC "git command line client")
	if (GIT_EXECUTABLE)
		execute_process (COMMAND ${GIT_EXECUTABLE} describe --tags HEAD
			WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
			OUTPUT_VARIABLE KADU_VERSION
			OUTPUT_STRIP_TRAILING_WHITESPACE
		)
	endif (GIT_EXECUTABLE)

	if (NOT KADU_VERSION)
		file (READ ${CMAKE_CURRENT_SOURCE_DIR}/VERSION KADU_VERSION)
		string (REPLACE "\n" "" KADU_VERSION ${KADU_VERSION})
	endif (NOT KADU_VERSION)
endif (NOT KADU_VERSION)

if (WIN32)
	# Add more version info to files
	string (REGEX REPLACE "(.+)\\.(.+)\\.(.+)[.-].*" "\\1, \\2, \\3, 0" NUMERIC_VERSION ${KADU_VERSION})
	set (PACKAGE_VERSION ${KADU_VERSION})

	# package
	set (CPACK_GENERATOR "ZIP")
	set (CPACK_PACKAGE_VERSION ${PACKAGE_VERSION})
	include (CPack)
endif (WIN32)

if (NOT WIN32)
	# TODO: Add libexecinfo support
	check_include_files ("execinfo.h" HAVE_EXECINFO)
	if (HAVE_EXECINFO)
		check_function_exists ("backtrace" HAVE_EXECINFO)
	endif (HAVE_EXECINFO)

	if (SIG_HANDLING_ENABLED)
		set (SIG_HANDLING_ENABLED 1)
	endif (SIG_HANDLING_ENABLED)
endif (NOT WIN32)

# macros
macro (kadu_source_subdirectories CURRENT_TARGET)
	foreach (ARG ${ARGN})
		add_subdirectory (${ARG})
		link_directories (${ARG})

		add_dependencies (${CURRENT_TARGET}
			${ARG}
		)
	endforeach (ARG)

if (APPLE)
	target_link_libraries (${CURRENT_TARGET} -Wl,-all_load ${ARGN})
else (APPLE)
	target_link_libraries (${CURRENT_TARGET} -Wl,--start-group -Wl,--whole-archive ${ARGN} -Wl,--no-whole-archive -Wl,--end-group)
endif (APPLE)
endmacro (kadu_source_subdirectories)

include (cmake/FindKadu.cmake)
include_directories (${CMAKE_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/kadu-core ${QT_INCLUDES})

if (INSTALL_CMAKE_MODULE)
	install (FILES cmake/FindKadu.cmake DESTINATION ${KADU_CMAKE_MODULES_DIR})
	install (PROGRAMS translations/plugintsupdate.sh DESTINATION ${KADU_PLUGINS_DIR}/sdk)
	install (FILES translations/configuration-ui.xsl DESTINATION ${KADU_PLUGINS_DIR}/sdk)
endif (INSTALL_CMAKE_MODULE)

# build
configure_file (${CMAKE_SOURCE_DIR}/kadu-config.h.cmake ${CMAKE_BINARY_DIR}/kadu-config.h)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")

include (Plugins.cmake)

add_subdirectory (kadu-core)
add_subdirectory (plugins)
add_subdirectory (varia)
add_subdirectory (translations)
add_subdirectory (kthxbye)

message (STATUS "Kadu (version: ${KADU_VERSION}) will be built:")
message (STATUS " * install prefix: ${CMAKE_INSTALL_PREFIX}")
message (STATUS " * build type: ${CMAKE_BUILD_TYPE}")

# install data files
install (FILES AUTHORS HISTORY README THANKS ChangeLog ChangeLog.OLD-PL COPYING DESTINATION ${KADU_DATA_DIR})

=== kadu-core/CMakeLists.txt ===
set (kadu_SRCS
	activate.cpp
	debug.cpp
	html_document.cpp
	kadu-application.cpp
	languages-manager.cpp
	themes.cpp
	updates.cpp
)

if (UNIX AND NOT APPLE)
	set (kadu_SRCS
		${kadu_SRCS}
		os/x11tools.cpp
	)
endif (UNIX AND NOT APPLE)
if (NOT WIN32)
	set (kadu_SRCS
		${kadu_SRCS}
		os/qtsingleapplication/qtlocalpeer.cpp
		os/qtsingleapplication/qtlockedfile.cpp
	)
endif (NOT WIN32)

set (kadu_MOC_SRCS
	kadu-application.h
	themes.h
	updates.h
)

set (kadu_SUBDIRS
	accounts
	avatars
	buddies
	chat
	configuration
	contacts
	core
	emoticons
	file-transfer
	gui
	icons
	identities
	misc
	model
	multilogon
	network
	notify
	os
	parser
	plugins
	protocols
	qt
	status
	storage
	themes
	url-handlers
)

qt4_wrap_cpp (MOC_FILES ${kadu_MOC_SRCS})

if (WIN32)
	if (NOT MINGW_QCA_DIR)
		message (SEND_ERROR " Pass path to libqca2 -DMINGW_QCA_DIR=path")
	else (NOT MINGW_QCA_DIR)
		set (QCA2_INCLUDE_DIRS ${MINGW_QCA_DIR}/include/QtCrypto)
		set (QCA2_LIBRARY_DIRS ${MINGW_QCA_DIR}/bin)
		set (QCA2_LIBRARIES qca2)
	endif (NOT MINGW_QCA_DIR)
else (WIN32)
	pkg_search_module (QCA2 REQUIRED qca2)
endif (WIN32)

link_directories (${QCA2_LIBRARY_DIRS})
add_definitions (${QCA2_CFLAGS_OTHER})
include_directories (${QCA2_INCLUDE_DIRS})

if (UNIX AND NOT APPLE)
	include (FindX11)
	if (X11_FOUND)
		message (STATUS "Found X11 libraries: ${X11_X11_LIB}")
	else (X11_Xfixes_FOUND)
		message (FATAL_ERROR "Could not find X11 libraries")
	endif (X11_FOUND)

	include_directories (${X11_INCLUDE_DIR})

	if (USE_X11_XFIXES)
		if (X11_Xfixes_FOUND)
			message (STATUS "Found X11 Xfixes extension: ${X11_Xfixes_LIB}")
		else (X11_Xfixes_FOUND)
			message (FATAL_ERROR "Could not find X11 Xfixes extension")
		endif (X11_Xfixes_FOUND)
	endif (USE_X11_XFIXES)

	if (NOT DESKTOP_ENTRY)
		set (DESKTOP_ENTRY ${CMAKE_CURRENT_BINARY_DIR}/kadu.desktop)
	endif (NOT DESKTOP_ENTRY)
	add_custom_command (OUTPUT ${DESKTOP_ENTRY}
		COMMAND touch ${DESKTOP_ENTRY}
		COMMAND sh ${CMAKE_SOURCE_DIR}/varia/scripts/create_kadu_desktop.sh ${CMAKE_INSTALL_PREFIX} > ${DESKTOP_ENTRY}
		DEPENDS ${CMAKE_SOURCE_DIR}/varia/scripts/create_kadu_desktop.sh
		COMMENT "Generating desktop entry file"
	)
	add_custom_target (DESKTOP_ENTRY_FILE ALL
		DEPENDS ${DESKTOP_ENTRY}
	)
endif (UNIX AND NOT APPLE)

if (WIN32)
	set (kadu_SRCS
		${kadu_SRCS}
		os/qtsingleapplication/qtlocalpeer.cpp
		os/qtsingleapplication/qtlockedfile.cpp
		os/qtsingleapplication/qtlockedfile_win.cpp
	)

	add_library (kadu_core SHARED ${kadu_SRCS} ${MOC_FILES} kadu_core.rc)
	kadu_source_subdirectories (kadu_core ${kadu_SUBDIRS})

	set_target_properties (kadu_core PROPERTIES
		COMPILE_DEFINITIONS KADULIB
		LINK_INTERFACE_LIBRARIES ""
	)
	target_link_libraries (kadu_core ${QT_LIBRARIES} ${QCA2_LIBRARIES})

	if (MINGW)
		exec_program (windres ${CMAKE_CURRENT_SOURCE_DIR}
			ARGS "kadu_mingw.rc kadu_rc.o"
			OUTPUT_VARIABLE NULL_VAR
		)
		add_executable (kadu WIN32 main.cpp main_win32.cpp kadu_rc.o)
		add_executable (kadu_c main.cpp main_win32.cpp)
	else (MINGW)
		add_executable (kadu WIN32 main.cpp main_win32.cpp kadu.rc)
		add_executable (kadu_c main.cpp main_win32.cpp kadu.rc)
	endif (MINGW)

	set_target_properties (kadu_c PROPERTIES COMPILE_DEFINITIONS KADU_CONSOLE)

	target_link_libraries (kadu kadu_core ${QT_QTMAIN_LIBRARY} ${QT_LIBRARIES} ws2_32)
	target_link_libraries (kadu_c kadu_core ${QT_LIBRARIES} ws2_32)

	install (TARGETS kadu_core
		RUNTIME DESTINATION ${KADU_BIN_DIR}
		ARCHIVE DESTINATION ${KADU_DATA_DIR}/kadu-sdk/lib
		LIBRARY DESTINATION ${KADU_DATA_DIR}/kadu-sdk/lib
	)
	install (TARGETS kadu_c DESTINATION ${KADU_BIN_DIR})
	install (DIRECTORY "."
		DESTINATION ${KADU_DATA_DIR}/kadu-sdk/include/kadu-core
		FILES_MATCHING PATTERN "*.h" PATTERN ".svn" EXCLUDE
	)
else (WIN32)
	add_executable (kadu main.cpp main_unix.cpp os/qtsingleapplication/qtlockedfile_unix.cpp ${kadu_SRCS} ${MOC_FILES})

	kadu_source_subdirectories (kadu ${kadu_SUBDIRS})

	set_target_properties (kadu PROPERTIES
		ENABLE_EXPORTS ON
		COMPILE_DEFINITIONS KADULIB
		LINK_INTERFACE_LIBRARIES ""
	)

	target_link_libraries (kadu ${QT_LIBRARIES} ${QCA2_LIBRARIES} ${CMAKE_DL_LIBS})

	if (UNIX AND NOT APPLE)
		target_link_libraries (kadu ${X11_X11_LIB})

		if (USE_X11_XFIXES)
			target_link_libraries (kadu ${X11_Xfixes_LIB})
		endif (USE_X11_XFIXES)
	endif (UNIX AND NOT APPLE)
endif (WIN32)

if (${NETWORK_IMPLEMENTATION} STREQUAL "ntrack")
	target_link_libraries (kadu ${QNTRACK_LIBRARIES})
endif (${NETWORK_IMPLEMENTATION} STREQUAL "ntrack")

install (TARGETS kadu DESTINATION ${KADU_BIN_DIR})

# install desktop file
if (UNIX AND NOT APPLE)
	install (FILES ${DESKTOP_ENTRY} DESTINATION ${KADU_DESKTOP_FILE_DIR} RENAME ${KADU_DESKTOP_FILE_NAME})

	# install icons
	install (FILES hi16-app-kadu.png DESTINATION "share/icons/hicolor/16x16/apps" RENAME kadu.png)
	install (FILES hi22-app-kadu.png DESTINATION "share/icons/hicolor/22x22/apps" RENAME kadu.png)
	install (FILES hi24-app-kadu.png DESTINATION "share/icons/hicolor/24x24/apps" RENAME kadu.png)
	install (FILES hi32-app-kadu.png DESTINATION "share/icons/hicolor/32x32/apps" RENAME kadu.png)
	install (FILES hi48-app-kadu.png DESTINATION "share/icons/hicolor/48x48/apps" RENAME kadu.png)
	install (FILES hi64-app-kadu.png DESTINATION "share/icons/hicolor/64x64/apps" RENAME kadu.png)
	install (FILES hi128-app-kadu.png DESTINATION "share/icons/hicolor/128x128/apps" RENAME kadu.png)
	# As of icon-theme-0.5 maximum supported pixmap size is 192, for anything larger one should use SVG.
	#install (FILES hi256-app-kadu.png DESTINATION "share/icons/hicolor/256x256/apps" RENAME kadu.png)
endif (UNIX AND NOT APPLE)

install (FILES "chat/style-engines/chat-scripts.js" DESTINATION ${KADU_DATA_DIR}/scripts)

if (APPLE)
	pkg_search_module (SNDFILE REQUIRED sndfile>=1.0)
	include_directories (${SNDFILE_INCLUDE_DIRS})
	link_directories (${SNDFILE_LIBRARY_DIRS})
	target_link_libraries (kadu "-framework carbon")
endif (APPLE)

# install api headers
kadu_api_directories (kadu-core
	accounts/filter
	accounts/model
	accounts
	avatars
	buddies/filter
	buddies/model
	buddies
	chat/filter
	chat/message
	chat/style-engines/style-engine-adium
	chat/style-engines/style-engine-kadu
	chat/style-engines
	chat/type
	chat
	configuration
	contacts/filter
	contacts/model
	contacts
	core
	emoticons
	file-transfer
	gui/actions
	gui/widgets/configuration
	gui/widgets
	gui/windows/open-chat-with
	gui/windows
	gui
	icons
	identities/model
	identities
	misc
	model
	multilogon/model
	multilogon
	network
	notify
	os/generic
	os/qtsingleapplication
	os
	parser
	plugins
	protocols/filter
	protocols/model
	protocols/services
	protocols
	qt
	status
	storage
	themes
	url-handlers
	.
)

=== mime_tex/CMakeLists.txt ===
project (mime_tex)

# minimal required versions
cmake_minimum_required (VERSION 2.8)
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.8.0")

set (KADU_FIND_REQUIRED true)
include (FindKadu)

add_subdirectory (mimetex)
set (SOURCES
	formula_view.cpp
	formula_widget.cpp
	mime_tex.cpp
	tex_formula_dialog.cpp
)

set (MOC_SOURCES
	formula_view.h
	formula_widget.h
	mime_tex.h
	tex_formula_dialog.h
)

set (TRANSLATION_SOURCES
	translations/mime_tex_pl.ts
)

set (CONFIGURATION_FILES
	configuration/mime_tex.ui)

set (DATA_FILES
	data/mime_tex_32x32.png
)
set (DATA_FILES_EDITOR_ICONS
	data/editor_icons/redo.png
	data/editor_icons/undo.png
)
set (DATA_FILES_MIME_TEX_ICONS
	data/mime_tex_icons/arrows_tab_Downarrow.png
	data/mime_tex_icons/arrows_tab_icon.png
	data/mime_tex_icons/arrows_tab_leftarrow.png
	data/mime_tex_icons/arrows_tab_Leftarrow.png
	data/mime_tex_icons/arrows_tab_leftharpoondown.png
	data/mime_tex_icons/arrows_tab_leftharpoonup.png
	data/mime_tex_icons/arrows_tab_leftrightarrow.png
	data/mime_tex_icons/arrows_tab_Leftrightarrow.png
	data/mime_tex_icons/arrows_tab_longleftarrow.png
	data/mime_tex_icons/arrows_tab_Longleftarrow.png
	data/mime_tex_icons/arrows_tab_longleftrightarrow.png
	data/mime_tex_icons/arrows_tab_Longleftrightarrow.png
	data/mime_tex_icons/arrows_tab_longrightarrow.png
	data/mime_tex_icons/arrows_tab_Longrightarrow.png
	data/mime_tex_icons/arrows_tab_nearrow.png
	data/mime_tex_icons/arrows_tab_nwarrow.png
	data/mime_tex_icons/arrows_tab_rightarrow.png
	data/mime_tex_icons/arrows_tab_Rightarrow.png
	data/mime_tex_icons/arrows_tab_rightharpoondown.png
	data/mime_tex_icons/arrows_tab_rightharpoonup.png
	data/mime_tex_icons/arrows_tab_rightleftharpoons.png
	data/mime_tex_icons/arrows_tab_searrow.png
	data/mime_tex_icons/arrows_tab_swarrow.png
	data/mime_tex_icons/arrows_tab_uparrow.png
	data/mime_tex_icons/arrows_tab_Uparrow.png
	data/mime_tex_icons/arrows_tab_updownarrow.png
	data/mime_tex_icons/arrows_tab_Updownarrow.png
	data/mime_tex_icons/arrows_tab_vec.png
	data/mime_tex_icons/delimiters_tab_hat.png
	data/mime_tex_icons/delimiters_tab_icon.png
	data/mime_tex_icons/delimiters_tab_langle.png
	data/mime_tex_icons/delimiters_tab_lbrace.png
	data/mime_tex_icons/delimiters_tab_left_bracket.png
	data/mime_tex_icons/delimiters_tab_left_lbrace.png
	data/mime_tex_icons/delimiters_tab_left_square_bracket.png
	data/mime_tex_icons/delimiters_tab_overbrace_desc.png
	data/mime_tex_icons/delimiters_tab_overbrace.png
	data/mime_tex_icons/delimiters_tab_overline.png
	data/mime_tex_icons/delimiters_tab_rangle.png
	data/mime_tex_icons/delimiters_tab_rbrace.png
	data/mime_tex_icons/delimiters_tab_right_bracket.png
	data/mime_tex_icons/delimiters_tab_right_rbrace.png
	data/mime_tex_icons/delimiters_tab_right_square_bracket.png
	data/mime_tex_icons/delimiters_tab_underbrace_desc.png
	data/mime_tex_icons/delimiters_tab_underbrace.png
	data/mime_tex_icons/delimiters_tab_underline.png
	data/mime_tex_icons/greek_letters_tab_alpha.png
	data/mime_tex_icons/greek_letters_tab_beta.png
	data/mime_tex_icons/greek_letters_tab_chi.png
	data/mime_tex_icons/greek_letters_tab_delta.png
	data/mime_tex_icons/greek_letters_tab_Delta.png
	data/mime_tex_icons/greek_letters_tab_epsilon.png
	data/mime_tex_icons/greek_letters_tab_eta.png
	data/mime_tex_icons/greek_letters_tab_gamma.png
	data/mime_tex_icons/greek_letters_tab_Gamma.png
	data/mime_tex_icons/greek_letters_tab_icon.png
	data/mime_tex_icons/greek_letters_tab_iota.png
	data/mime_tex_icons/greek_letters_tab_kappa.png
	data/mime_tex_icons/greek_letters_tab_lambda.png
	data/mime_tex_icons/greek_letters_tab_Lambda.png
	data/mime_tex_icons/greek_letters_tab_mu.png
	data/mime_tex_icons/greek_letters_tab_nu.png
	data/mime_tex_icons/greek_letters_tab_omega.png
	data/mime_tex_icons/greek_letters_tab_Omega.png
	data/mime_tex_icons/greek_letters_tab_phi.png
	data/mime_tex_icons/greek_letters_tab_Phi.png
	data/mime_tex_icons/greek_letters_tab_pi.png
	data/mime_tex_icons/greek_letters_tab_Pi.png
	data/mime_tex_icons/greek_letters_tab_psi.png
	data/mime_tex_icons/greek_letters_tab_Psi.png
	data/mime_tex_icons/greek_letters_tab_rho.png
	data/mime_tex_icons/greek_letters_tab_sigma.png
	data/mime_tex_icons/greek_letters_tab_Sigma.png
	data/mime_tex_icons/greek_letters_tab_tau.png
	data/mime_tex_icons/greek_letters_tab_theta.png
	data/mime_tex_icons/greek_letters_tab_Theta.png
	data/mime_tex_icons/greek_letters_tab_upsilon.png
	data/mime_tex_icons/greek_letters_tab_Upsilon.png
	data/mime_tex_icons/greek_letters_tab_varepsilon.png
	data/mime_tex_icons/greek_letters_tab_varphi.png
	data/mime_tex_icons/greek_letters_tab_varpi.png
	data/mime_tex_icons/greek_letters_tab_varrho.png
	data/mime_tex_icons/greek_letters_tab_varsigma.png
	data/mime_tex_icons/greek_letters_tab_vartheta.png
	data/mime_tex_icons/greek_letters_tab_xi.png
	data/mime_tex_icons/greek_letters_tab_Xi.png
	data/mime_tex_icons/greek_letters_tab_zeta.png
	data/mime_tex_icons/relations_tab_approx.png
	data/mime_tex_icons/relations_tab_bigcap.png
	data/mime_tex_icons/relations_tab_bigcup.png
	data/mime_tex_icons/relations_tab_cap.png
	data/mime_tex_icons/relations_tab_cup.png
	data/mime_tex_icons/relations_tab_equiv.png
	data/mime_tex_icons/relations_tab_frac.png
	data/mime_tex_icons/relations_tab_geq.png
	data/mime_tex_icons/relations_tab_gg.png
	data/mime_tex_icons/relations_tab_icon.png
	data/mime_tex_icons/relations_tab_index_lower.png
	data/mime_tex_icons/relations_tab_index_upper.png
	data/mime_tex_icons/relations_tab_in.png
	data/mime_tex_icons/relations_tab_int_from.png
	data/mime_tex_icons/relations_tab_int_from_to.png
	data/mime_tex_icons/relations_tab_int.png
	data/mime_tex_icons/relations_tab_leq.png
	data/mime_tex_icons/relations_tab_lim.png
	data/mime_tex_icons/relations_tab_ll.png
	data/mime_tex_icons/relations_tab_neq.png
	data/mime_tex_icons/relations_tab_ni.png
	data/mime_tex_icons/relations_tab_oint_from.png
	data/mime_tex_icons/relations_tab_oint_from_to.png
	data/mime_tex_icons/relations_tab_oint.png
	data/mime_tex_icons/relations_tab_pm.png
	data/mime_tex_icons/relations_tab_prod_from.png
	data/mime_tex_icons/relations_tab_prod_from_to.png
	data/mime_tex_icons/relations_tab_prod.png
	data/mime_tex_icons/relations_tab_simeq.png
	data/mime_tex_icons/relations_tab_sim.png
	data/mime_tex_icons/relations_tab_sqrt_n.png
	data/mime_tex_icons/relations_tab_sqrt.png
	data/mime_tex_icons/relations_tab_subseteq.png
	data/mime_tex_icons/relations_tab_subset.png
	data/mime_tex_icons/relations_tab_sum_from.png
	data/mime_tex_icons/relations_tab_sum_from_to.png
	data/mime_tex_icons/relations_tab_sum.png
	data/mime_tex_icons/relations_tab_supseteq.png
	data/mime_tex_icons/relations_tab_supset.png
	data/mime_tex_icons/symbols_tab_aleph.png
	data/mime_tex_icons/symbols_tab_angle.png
	data/mime_tex_icons/symbols_tab_bot.png
	data/mime_tex_icons/symbols_tab_cdot.png
	data/mime_tex_icons/symbols_tab_cdots.png
	data/mime_tex_icons/symbols_tab_ddots.png
	data/mime_tex_icons/symbols_tab_emptyset.png
	data/mime_tex_icons/symbols_tab_forall.png
	data/mime_tex_icons/symbols_tab_hbar.png
	data/mime_tex_icons/symbols_tab_icon.png
	data/mime_tex_icons/symbols_tab_Im.png
	data/mime_tex_icons/symbols_tab_infty.png
	data/mime_tex_icons/symbols_tab_ldots.png
	data/mime_tex_icons/symbols_tab_nabla.png
	data/mime_tex_icons/symbols_tab_partial.png
	data/mime_tex_icons/symbols_tab_prime.png
	data/mime_tex_icons/symbols_tab_Re.png
	data/mime_tex_icons/symbols_tab_surd.png
	data/mime_tex_icons/tex_icon.png
)

kadu_plugin (mime_tex
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
)

install (FILES ${DATA_FILES}
	DESTINATION ${KADU_PLUGINS_DIR}/data/mime_tex)
install (FILES ${DATA_FILES_EDITOR_ICONS}
	DESTINATION ${KADU_PLUGINS_DIR}/data/mime_tex/editor_icons)
install (FILES ${DATA_FILES_MIME_TEX_ICONS}
	DESTINATION ${KADU_PLUGINS_DIR}/data/mime_tex/mime_tex_icons)

=== plugins/CMakeLists.txt ===
if (BUILD_PLUGINS)

	if (DEPS_STATUS EQUAL 1)
		message (FATAL_ERROR ${DEPS_MESSAGE})
	endif (DEPS_STATUS EQUAL 1)

	exec_program (${CMAKE_CURRENT_SOURCE_DIR}/check-deps.sh ${CMAKE_CURRENT_SOURCE_DIR}
		ARGS ${AWK} ${COMPILE_PLUGINS}
		OUTPUT_VARIABLE DEPS_MESSAGE
		RETURN_VALUE DEPS_STATUS
	)

	foreach (PLUGIN ${COMPILE_PLUGINS})
		message (STATUS "Plugin: " ${PLUGIN})
		if (WIN32)
			set (${PLUGIN} SHARED)
		else (WIN32)
			set (${PLUGIN} PLUGIN)
		endif (WIN32)
		add_subdirectory (${PLUGIN})
	endforeach (PLUGIN)

endif (BUILD_PLUGINS)

=== translations/CMakeLists.txt ===
set (TRANSLATION_SOURCES
	kadu_en.ts
	kadu_cs.ts
	kadu_de.ts
	kadu_es_ES.ts
	kadu_fr.ts
	kadu_it.ts
	kadu_pl.ts
	kadu_ru.ts
	kadu_sk.ts
)

set (LANGAUGE_FILES
	cs.language
	de.language
	en.language
	pl.language
)

qt4_add_translation (TRANSLATION_FILES ${TRANSLATION_SOURCES})

add_custom_target (translations DEPENDS ${TRANSLATION_FILES})
add_dependencies (kadu translations)

install (FILES ${TRANSLATION_FILES} ${LANGAUGE_FILES}
	DESTINATION ${KADU_DATA_DIR}/translations
)

=== kadu-core/accounts/CMakeLists.txt ===
set (accounts_SRCS
	account.cpp
	account-details.cpp
	account-manager.cpp
	account-proxy-settings.cpp
	account-shared.cpp
	accounts-aware-object.cpp

	filter/have-multilogon-filter.cpp
	filter/id-validity-filter.cpp
	filter/protocol-filter.cpp
	filter/writeable-contacts-list-filter.cpp

	model/accounts-model.cpp
	model/accounts-proxy-model.cpp
)

set (accounts_MOC_SRCS
	account-manager.h
	account-shared.h

	filter/abstract-account-filter.h
	filter/have-multilogon-filter.h
	filter/id-validity-filter.h
	filter/protocol-filter.h
	filter/writeable-contacts-list-filter.h

	model/accounts-model.h
	model/accounts-proxy-model.h
)

qt4_wrap_cpp (accounts_MOC_FILES ${accounts_MOC_SRCS})

add_library (accounts
	STATIC
	${accounts_SRCS}
	${accounts_MOC_FILES}
)

set_target_properties (accounts PROPERTIES COMPILE_DEFINITIONS KADULIB)

=== kadu-core/avatars/CMakeLists.txt ===
set (avatars_SRCS
	avatar.cpp
	avatar-job-manager.cpp
	avatar-job-runner.cpp
	avatar-manager.cpp
	avatar-shared.cpp
)

set (avatars_MOC_SRCS
	avatar-job-manager.h
	avatar-job-runner.h
	avatar-manager.h
	avatar-shared.h
)

qt4_wrap_cpp (avatars_MOC_FILES ${avatars_MOC_SRCS})

add_library (avatars
	STATIC
	${avatars_SRCS}
	${avatars_MOC_FILES}
)

set_target_properties (avatars PROPERTIES COMPILE_DEFINITIONS KADULIB)

=== kadu-core/buddies/CMakeLists.txt ===
set (buddies_SRCS
	buddy.cpp
	buddy-additional-data-delete-handler.cpp
	buddy-additional-data-delete-handler-manager.cpp
	buddy-kadu-data.cpp
	buddy-list.cpp
	buddy-list-mime-data-helper.cpp
	buddy-manager.cpp
	buddy-or-contact.cpp
	buddy-preferred-manager.cpp
	buddy-remove-predicate-object.cpp
	buddy-search-criteria.cpp
	buddy-set.cpp
	buddy-shared.cpp
	group.cpp
	group-manager.cpp
	group-shared.cpp

	filter/account-buddy-filter.cpp
	filter/anonymous-buddy-filter.cpp
	filter/anonymous-without-messages-buddy-filter.cpp
	filter/blocked-buddy-filter.cpp
	filter/buddy-name-filter.cpp
	filter/group-buddy-filter.cpp
	filter/has-description-buddy-filter.cpp
	filter/mobile-buddy-filter.cpp
	filter/non-buddy-filter.cpp
	filter/offline-buddy-filter.cpp
	filter/online-and-description-buddy-filter.cpp
	filter/pending-messages-filter.cpp

	model/abstract-buddies-model.cpp
	model/buddy-data-extractor.cpp
	model/buddy-list-model.cpp
	model/buddies-model.cpp
	model/buddies-model-base.cpp
	model/buddies-model-proxy.cpp
	model/groups-model.cpp
)

set (buddies_MOC_SRCS
	buddy-additional-data-delete-handler-manager.h
	buddy-kadu-data.h
	buddy-shared.h
	buddy-manager.h
	group-manager.h
	buddy-preferred-manager.h
	group-shared.h

	filter/abstract-buddy-filter.h
	filter/account-buddy-filter.h
	filter/anonymous-buddy-filter.h
	filter/anonymous-without-messages-buddy-filter.h
	filter/blocked-buddy-filter.h
	filter/buddy-name-filter.h
	filter/group-buddy-filter.h
	filter/has-description-buddy-filter.h
	filter/mobile-buddy-filter.h
	filter/non-buddy-filter.h
	filter/offline-buddy-filter.h
	filter/online-and-description-buddy-filter.h
	filter/pending-messages-filter.h

	model/buddy-list-model.h
	model/buddies-model.h
	model/buddies-model-base.h
	model/buddies-model-proxy.h
	model/groups-model.h
)

qt4_wrap_cpp (buddies_MOC_FILES ${buddies_MOC_SRCS})

add_library (buddies
	STATIC
	${buddies_SRCS}
	${buddies_MOC_FILES}
)

set_target_properties (buddies PROPERTIES COMPILE_DEFINITIONS KADULIB)

=== kadu-core/chat/CMakeLists.txt ===
set (chat_SRCS
	aggregate-chat-manager.cpp
	chat.cpp
	chat-details-aggregate.cpp
	chat-details-conference.cpp
	chat-details-simple.cpp
	chat-geometry-data.cpp
	chat-manager.cpp
	chat-shared.cpp
	chat-styles-manager.cpp
	html-messages-renderer.cpp
	recent-chat-manager.cpp

	filter/chat-name-filter.cpp

	message/formatted-message.cpp
	message/formatted-message-part.cpp
	message/message.cpp
	message/message-render-info.cpp
	message/pending-messages-manager.cpp
	message/message-shared.cpp

	style-engines/chat-engine-adium/adium-style.cpp
	style-engines/chat-engine-adium/adium-time-formatter.cpp
	style-engines/chat-engine-adium/chat-engine-adium.cpp
	style-engines/chat-engine-kadu/chat-engine-kadu.cpp
	style-engines/chat-engine-kadu/kadu-chat-syntax.cpp

	type/chat-type.cpp
	type/chat-type-aware-object.cpp
	type/chat-type-conference.cpp
	type/chat-type-manager.cpp
	type/chat-type-simple.cpp
)

set (chat_MOC_SRCS
	chat-details.h
	chat-details-aggregate.h
	chat-details-conference.h
	chat-details-simple.h
	chat-geometry-data.h

	aggregate-chat-manager.h
	chat-manager.h
	chat-shared.h
	chat-styles-manager.h
	html-messages-renderer.h
	recent-chat-manager.h

	filter/chat-filter.h
	filter/chat-name-filter.h

	message/message-render-info.h
	message/pending-messages-manager.h
	message/message-shared.h

	style-engines/chat-engine-adium/chat-engine-adium.h
	style-engines/chat-engine-kadu/chat-engine-kadu.h

	type/chat-type.h
	type/chat-type-conference.h
	type/chat-type-manager.h
	type/chat-type-simple.h
)

qt4_wrap_cpp (chat_MOC_FILES ${chat_MOC_SRCS})

add_library (chat
	STATIC
	${chat_SRCS}
	${chat_MOC_FILES}
)

set_target_properties (chat PROPERTIES COMPILE_DEFINITIONS KADULIB)

=== kadu-core/configuration/CMakeLists.txt ===
set (configuration_SRCS
	chat-configuration-holder.cpp
	config-file-data-manager.cpp
	configuration-aware-object.cpp
	configuration-file.cpp
	configuration-holder.cpp
	configuration-manager.cpp
	main-configuration-holder.cpp
	notifier-configuration-data-manager.cpp
	toolbar-configuration-manager.cpp
	xml-configuration-file.cpp
)

set (configuration_MOC_SRCS
	chat-configuration-holder.h
	config-file-data-manager.h
	configuration-holder.h
	configuration-window-data-manager.h
	main-configuration-holder.h
	notifier-configuration-data-manager.h
	toolbar-configuration-manager.h
)

qt4_wrap_cpp (configuration_MOC_FILES ${configuration_MOC_SRCS})

add_library (configuration
	STATIC
	${configuration_SRCS}
	${configuration_MOC_FILES}
)

set_target_properties (configuration PROPERTIES COMPILE_DEFINITIONS KADULIB)

=== kadu-core/contacts/CMakeLists.txt ===
set (contacts_SRCS
	contact.cpp
	contact-details.cpp
	contact-manager.cpp
	contact-parser-tags.cpp
	contact-set.cpp
	contact-set-configuration-helper.cpp
	contact-shared.cpp

	filter/contact-no-unloaded-account-filter.cpp

	model/buddy-contact-model.cpp
	model/contact-data-extractor.cpp
	model/contact-list-model.cpp
)

set (contacts_MOC_SRCS
	contact-details.h
	contact-manager.h
	contact-shared.h

	filter/abstract-contact-filter.h
	filter/contact-no-unloaded-account-filter.h

	model/buddy-contact-model.h
	model/contact-list-model.h
)

qt4_wrap_cpp (contacts_MOC_FILES ${contacts_MOC_SRCS})

add_library (contacts
	STATIC
	${contacts_SRCS}
	${contacts_MOC_FILES}
)

set_target_properties (contacts PROPERTIES COMPILE_DEFINITIONS KADULIB)

=== kadu-core/core/CMakeLists.txt ===
set (core_SRCS
	core.cpp
	core-actions.cpp
	crash-aware-object.cpp
)

set (core_MOC_SRCS
	core.h
)

qt4_wrap_cpp (core_MOC_FILES ${core_MOC_SRCS})

add_library (core
	STATIC
	${core_SRCS}
	${core_MOC_FILES}
)

set_target_properties (core PROPERTIES COMPILE_DEFINITIONS KADULIB)

=== debian/changelog ===
kadu (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/04-globalhotkeys.patch -- no longer needed.
  * Updated debian/patches/03-about-dialog.patch for Kadu 0.10.1
  * Moved FindKadu.cmake from /usr/share/cmake/Modules to
    /usr/share/cmake-2.8/Modules
  * Updated external plugins to their newest upstream versions
  * Build error against dpkg-1.16.1 fixed upstream (Closes: #646278)

 -- Patryk Cisek <patryk@debian.org>  Tue, 25 Oct 2011 17:45:32 +0200

kadu (0.10.0-3) unstable; urgency=low

  * Added globalhotkeys.desc to kadu-external-modules.install

 -- Patryk Cisek <patryk@debian.org>  Mon, 17 Oct 2011 15:28:43 +0200

kadu (0.10.0-2) unstable; urgency=low

  * Moved import_history, messagessplitter, networkping and nextinfo
    plugins from kadu to kadu-external-modules
  * Added globalhotkeys plugin
  * Moved idle and auto_hide plugin files in appropriate packages
  * Refreshed information in debian/copyright

 -- Patryk Cisek <patryk@debian.org>  Sun, 16 Oct 2011 12:05:59 +0200

kadu (0.10.0-1) unstable; urgency=low

  * New upstream release
  * Added libsqlite3-dev to Build-Depends
  * Added kadu-dev package
  * Removed libjs-mootools from kadu-common Depends and libao-dev from
    Build-Depends
  * Got rid of kadu.install.(no)alsa -- no alsa_sound plugin anymore
  * Updated external plugins to their newest upstream versions

 -- Patryk Cisek <patryk@debian.org>  Fri, 23 Sep 2011 17:31:22 +0200

=== debian/control ===
Source: kadu
Section: net
Priority: optional
Maintainer: Patryk Cisek <patryk@debian.org>
Vcs-Git: git://git.debian.org/users/patryk/kadu.git
Vcs-Browser: http://git.debian.org/?p=users/patryk/kadu.git
Build-Depends: bzip2,
               cmake (>=2.6),
               debhelper (>= 7),
               libasound2-dev,
               libaspell-dev,
               libaudio-dev,
               libdbus-1-dev,
               libgadu-dev,
               libidn11-dev,
               libmpdclient-dev,
               libphonon-dev,
               libqca2-dev,
               libqt4-dev,
               libqtwebkit-dev,
               libsndfile1-dev (>= 1.0),
               libsqlite3-dev,
               libxfixes-dev,
               libxss-dev,
               libxtst-dev,
               patchutils (>= 0.2.25),
               sharutils,
               x11proto-scrnsaver-dev,
               zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://kadu.net

Package: kadu
Architecture: any
Depends: kadu-common (= ${source:Version}),
         libqca2-plugin-ossl,
         libqt4-sql-sqlite,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: kadu-external-modules (>= 0.10.0-2)
Breaks: kadu-external-modules (<< 0.10.0-2)
Replaces: kadu-external-modules (<< 0.10.0-2)
Suggests: kadu-themes
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides Kadu along with plugins developed by Kadu developers.

Package: kadu-common
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: kadu-external-modules (>= 0.10.0-2)
Breaks: kadu-external-modules (<< 0.10.0-2)
Replaces: kadu-external-modules (<< 0.10.0-2)
Suggests: kadu-themes
Description: Gadu-Gadu/XMPP client for X11
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides data common for all architectures.

Package: kadu-dev
Architecture: all
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Development files needed to compile plugins for kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides development files needed to compile plugins for Kadu.

Package: kadu-external-modules
Architecture: any
Depends: kadu (>= 0.10.0-2), ${misc:Depends}, ${shlibs:Depends}
Breaks: kadu (<< 0.10.0-2), kadu-common (<< 0.10.0-2)
Replaces: kadu (<< 0.10.0-2), kadu-common (<< 0.10.0-2)
Description: Additional plugins for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides additional packages developed by external developers.
 See README.Debian for more details.

Package: kadu-themes
Architecture: all
Depends: ${misc:Depends}
Recommends: kadu
Description: Additional icons and emoticons for Kadu
 Gadu-Gadu is a Windows instant messenger, very popular in Poland.
 Kadu is a Qt4 client of Gadu-Gadu and XMPP for *nix systems.
 .
 This package provides additional icons, sounds and emoticons themes for
 Kadu.

## kadu 0.11.0~rc2

=== mime_tex/mimetex/CMakeLists.txt ===
set (SOURCES
	mimetex.c
	gifsave.c
)
add_definitions(-DAA)

# Original mimetex has a lot of compilation warnings. We have to remove
# -Werror to let it build even though there are warnings.
STRING(REGEX REPLACE "-Werror(=.*\ )?" " " CMAKE_C_FLAGS ${CMAKE_C_FLAGS})

add_executable(mimetex ${SOURCES})
target_link_libraries(mimetex m)
install (TARGETS mimetex DESTINATION ${KADU_LIBDIR}/kadu/plugins/bin/mime_tex)

=== plugins/gadu_protocol/CMakeLists.txt ===
project (gadu_protocol)

# minimal required versions
cmake_minimum_required (VERSION 2.8)
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.8.0")

set (QT_USE_QTXML 1)
set (QT_USE_QTXMLPATTERNS 1)
set (QT_USE_QTNETWORK 1)
set (QT_USE_QTWEBKIT 1)

set (KADU_FIND_REQUIRED true)
set (KADU_INSTALLS_SDK TRUE)
include (FindKadu)

include (FindPkgConfig)

set (LIBGADU_MIN_VERSION "1.11.1")

kadu_api_directories (plugins/gadu_protocol
	dcc
	file-transfers
	gui/widgets
	gui/windows
	gui
	helpers
	oauth
	open-chat-with
	server
	services/multilogon
	services
	socket-notifiers
	.
)

set (SOURCES
	dcc/dcc-socket-notifiers.cpp

	file-transfer/gadu-file-transfer-handler.cpp

	gui/widgets/gadu-add-account-widget.cpp
	gui/widgets/gadu-create-account-widget.cpp
	gui/widgets/gadu-contact-personal-info-widget.cpp
	gui/widgets/gadu-edit-account-widget.cpp
	gui/widgets/gadu-personal-info-widget.cpp
	gui/widgets/token-widget.cpp
	gui/windows/gadu-change-password-window.cpp
	gui/windows/gadu-remind-password-window.cpp
	gui/windows/gadu-unregister-account-window.cpp
	gui/windows/gadu-wait-for-account-register-window.cpp

	helpers/gadu-formatter.cpp
	helpers/gadu-imported-contact-xml-receiver.cpp
	helpers/gadu-importer.cpp
	helpers/gadu-list-helper.cpp
	helpers/gadu-protocol-helper.cpp
	helpers/gadu-proxy-helper.cpp

	oauth/oauth-authorization.cpp
	oauth/oauth-authorization-chain.cpp
	oauth/oauth-consumer.cpp
	oauth/oauth-manager.cpp
	oauth/oauth-parameters.cpp
	oauth/oauth-token.cpp
	oauth/oauth-token-fetcher.cpp

	open-chat-with/gadu-open-chat-with-runner.cpp

	server/gadu-avatar-data-parser.cpp
	server/gadu-avatar-fetcher.cpp
	server/gadu-avatar-uploader.cpp
	server/gadu-contact-list-handler.cpp
	server/gadu-server-change-password.cpp
	server/gadu-server-register-account.cpp
	server/gadu-server-remind-password.cpp
	server/gadu-server-unregister-account.cpp
	server/gadu-servers-manager.cpp
	server/gadu-token-fetcher.cpp

	services/gadu-avatar-service.cpp
	services/gadu-chat-image-service.cpp
	services/gadu-chat-service.cpp
	services/gadu-chat-state-service.cpp
	services/gadu-contact-list-service.cpp
	services/gadu-contact-list-state-machine.cpp
	services/gadu-contact-personal-info-service.cpp
	services/gadu-file-transfer-service.cpp
	services/gadu-multilogon-service.cpp
	services/gadu-personal-info-service.cpp
	services/gadu-search-service.cpp

	services/multilogon/gadu-multilogon-session.cpp

	socket-notifiers/gadu-protocol-socket-notifiers.cpp
	socket-notifiers/gadu-pubdir-socket-notifiers.cpp
	socket-notifiers/gadu-socket-notifiers.cpp

	gadu-account-details.cpp
	gadu-contact-details.cpp
	gadu-id-validator.cpp
	gadu-protocol.cpp
	gadu-protocol-factory.cpp
	gadu-protocol-plugin.cpp
	gadu-resolver.cpp
	gadu-url-handler.cpp
)

set (MOC_SOURCES
	dcc/dcc-socket-notifiers.h

	file-transfer/gadu-file-transfer-handler.h

	gui/widgets/gadu-add-account-widget.h
	gui/widgets/gadu-contact-personal-info-widget.h
	gui/widgets/gadu-create-account-widget.h
	gui/widgets/gadu-edit-account-widget.h
	gui/widgets/gadu-personal-info-widget.h
	gui/widgets/token-widget.h
	gui/windows/gadu-change-password-window.h
	gui/windows/gadu-remind-password-window.h
	gui/windows/gadu-unregister-account-window.h
	gui/windows/gadu-wait-for-account-register-window.h

	helpers/gadu-importer.h

	oauth/oauth-authorization.h
	oauth/oauth-authorization-chain.h
	oauth/oauth-manager.h
	oauth/oauth-token-fetcher.h

	server/gadu-avatar-fetcher.h
	server/gadu-avatar-uploader.h
	server/gadu-contact-list-handler.h
	server/gadu-server-change-password.h
	server/gadu-server-register-account.h
	server/gadu-server-remind-password.h
	server/gadu-server-unregister-account.h
	server/gadu-token-fetcher.h

	services/gadu-avatar-service.h
	services/gadu-chat-image-service.h
	services/gadu-chat-service.h
	services/gadu-chat-state-service.h
	services/gadu-contact-list-service.h
	services/gadu-contact-list-state-machine.h
	services/gadu-contact-personal-info-service.h
	services/gadu-file-transfer-service.h
	services/gadu-multilogon-service.h
	services/gadu-personal-info-service.h
	services/gadu-search-service.h

	services/multilogon/gadu-multilogon-session.h

	socket-notifiers/gadu-protocol-socket-notifiers.h
	socket-notifiers/gadu-pubdir-socket-notifiers.h
	socket-notifiers/gadu-socket-notifiers.h

	gadu-id-validator.h
	gadu-protocol-factory.h
	gadu-protocol-plugin.h
	gadu-protocol.h
	gadu-resolver.h
	gadu-url-handler.h
)

set (TRANSLATION_SOURCES
	translations/gadu_protocol_cs.ts
	translations/gadu_protocol_en.ts
	translations/gadu_protocol_pl.ts
)

set (CONFIGURATION_FILES
)

set (SERVERS_FILE
	data/servers.txt
)

if (MINGW)
	set_source_files_properties (gadu-resolver.cpp PROPERTIES
		COMPILE_FLAGS -fno-strict-aliasing
	)
endif (MINGW)

if (WIN32)
	if (NOT WIN_LIBGADU_DIR)
		message (SEND_ERROR "Pass path to libgadu -DWIN_LIBGADU_DIR=path")
		set (WIN_LIBGADU_DIR "")
	else (NOT WIN_LIBGADU_DIR)
		set (LIBGADU_FOUND TRUE)
		set (LIBGADU_INCLUDE_DIRS ${WIN_LIBGADU_DIR}/include)
		set (LIBGADU_LIBRARIES gadu)

		if (MSVC)
			if (CMAKE_BUILD_TYPE STREQUAL "Debug")
				set (LIBGADU_LIBRARY_DIRS ${WIN_LIBGADU_DIR}/build/Debug)
			else (CMAKE_BUILD_TYPE STREQUAL "Debug")
				set (LIBGADU_LIBRARY_DIRS ${WIN_LIBGADU_DIR}/build/Release)
			endif (CMAKE_BUILD_TYPE STREQUAL "Debug")
		else (MSVC)
			set (LIBGADU_LIBRARY_DIRS ${WIN_LIBGADU_DIR}/build)
		endif (MSVC)
	endif (NOT WIN_LIBGADU_DIR)
	if (NOT WIN_QCA_DIR)
		message (SEND_ERROR "Pass path to libqca2 -DWIN_QCA_DIR=path")
	else (NOT WIN_QCA_DIR)
		set (QCA2_INCLUDE_DIRS ${WIN_QCA_DIR}/include/QtCrypto)

		if (MSVC)
			set (QCA2_LIBRARY_DIRS ${WIN_QCA_DIR}/lib)
		else (MSVC)
			set (QCA2_LIBRARY_DIRS ${WIN_QCA_DIR}/bin)
		endif (MSVC)

		if (CMAKE_BUILD_TYPE STREQUAL "Debug")
			set (QCA2_LIBRARIES qcad2)
		else (CMAKE_BUILD_TYPE STREQUAL "Debug")
			set (QCA2_LIBRARIES qca2)
		endif (CMAKE_BUILD_TYPE STREQUAL "Debug")
	endif (NOT WIN_QCA_DIR)
else (WIN32)
	pkg_search_module (QCA2 REQUIRED qca2)
	pkg_search_module (LIBGADU REQUIRED libgadu>=${LIBGADU_MIN_VERSION})
endif (WIN32)

if (APPLE)
	if (QCA_FRAMEWORK_DIR)
		set (QCA2_INCLUDE_DIRS ${QCA_FRAMEWORK_DIR}/qca.framework/Headers/)
		set (QCA2_LIBRARY_DIRS ${QCA_FRAMEWORK_DIR}/qca.framework/)
		set (QCA2_LIBRARIES "-framework qca")
	endif (QCA_FRAMEWORK_DIR)
endif (APPLE)

include_directories (${LIBGADU_INCLUDE_DIRS} ${QCA2_INCLUDE_DIRS})
add_definitions (${QCA2_CFLAGS_OTHER})
link_directories (${QCA2_LIBRARY_DIRS})
link_directories (${LIBGADU_LIBRARY_DIRS})

if (LIBGADU_FOUND)
	message (STATUS " * libgadu (version ${LIBGADU_VERSION}) was found in ${LIBGADU_LIBDIR}")
else (LIBGADU_FOUND)
	message (FATAL_ERROR " * libgadu (version ${LIBGADU_MIN_VERSION}) was NOT FOUND")
endif (LIBGADU_FOUND)

set (LIBRARIES ${LIBGADU_LIBRARIES} ${QCA2_LIBRARIES} ${QT_LIBRARIES} ${QT_QTXMLPATTERNS_LIBRARY})
if (WIN32)
	list (APPEND LIBRARIES ws2_32)
endif (WIN32)

kadu_plugin (gadu_protocol
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	PLUGIN_LIBRARIES ${LIBRARIES}
	PLUGIN_DATA_FILES ${SERVERS_FILE}
	PLUGIN_BUILDDEF GADU_BUILD
)

=== debian/changelog ===
kadu (0.11.0~rc2-1) unstable; urgency=low

  * New upstream release
  * Removed debian/patches/04-backport_patch-
    only_send_jabber_status_to_server_when_connecting.patch included
    upstream.

 -- Patryk Cisek <patryk@debian.org>  Thu, 19 Jan 2012 16:45:02 +0100

kadu (0.11.0~rc1-1) unstable; urgency=low

  * New upstream release
  * Updated all external plugins to their newest upstream versions
  * Updated debian/patches/02-external-plugins.patch
  * Added indicator_docking plugin
  * Backported fix for Kadu patch from git. It fixes problem with
    reconnecting after suspend.
  * Updated debian/patches/02-external-plugins.patch
  * Lowered minimum expected version of libgadu. See description in
    debian/patches/05-lowered_expectant_libgadu_version.patch for more
    details.
  * Added libindicate-qt-dev to Build-Depends

 -- Patryk Cisek <patryk@debian.org>  Mon, 16 Jan 2012 10:08:06 +0100

=== debian/control ===
--- 
+++ 
@@ -13,6 +13,7 @@
                libdbus-1-dev,
                libgadu-dev,
                libidn11-dev,
+               libindicate-qt-dev,
                libmpdclient-dev,
                libphonon-dev,
                libqca2-dev,

## kadu 0.11.1

=== kadu_completion/CMakeLists.txt ===
project (kadu_completion)
set (CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)


# minimal required versions
cmake_minimum_required (VERSION 2.8)
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.8.0")

set (KADU_FIND_REQUIRED true)
include (FindKadu)

set (SOURCES
    completion_context.cpp
    kadu_completion.cpp
    kadu_completion_plugin.cpp
)

set (MOC_SOURCES
    completion_context.h
    kadu_completion.h
    kadu_completion_plugin.h
)

set (DATA_FILES
    data/list.txt
)

kadu_plugin (kadu_completion
    PLUGIN_SOURCES ${SOURCES}
    PLUGIN_MOC_SOURCES ${MOC_SOURCES}
)

install (FILES ${DATA_FILES}
    DESTINATION ${KADU_PLUGINS_DIR}/data/kadu_completion)

=== plugins/spellchecker/CMakeLists.txt ===
project (spellchecker)

# minimal required versions
cmake_minimum_required (VERSION 2.8)
set (QT_MIN_VERSION "4.7.0")
set (CMAKE_MIN_VERSION "2.6.0")

set (KADU_FIND_REQUIRED true)
include (FindKadu)

set (SOURCES
	configuration/spellchecker-configuration.cpp
	highlighter.cpp
	spellchecker.cpp
	spellchecker-plugin.cpp
	suggester.cpp
)

set (MOC_SOURCES
	highlighter.h
	spellchecker.h
	spellchecker-plugin.h
	suggester.h
)

set (TRANSLATION_SOURCES
	translations/spellchecker_cs.ts
	translations/spellchecker_de.ts
	translations/spellchecker_en.ts
	translations/spellchecker_pl.ts
)

set (CONFIGURATION_FILES
	configuration/spellchecker.ui
)

if (APPLE)
	list (APPEND SOURCES macspellchecker.mm)
	list (APPEND MOC_SOURCES macspellchecker.h)
else (APPLE)
	if (WIN32)
		set (USE_ASPELL TRUE)
	
		if (NOT WIN_ASPELL_DIR)
			message (SEND_ERROR "Pass path to aspell -DWIN_ASPELL_DIR=path")
		else (NOT WIN_ASPELL_DIR)
			set (ASPELL_FOUND TRUE)
			if (MSVC)
				set (ASPELL_INCLUDE_DIR ${WIN_ASPELL_DIR}/include)
				set (ASPELL_LIBRARY_DIR ${WIN_ASPELL_DIR}/lib)
			else (MSVC)
				set (ASPELL_INCLUDE_DIR ${WIN_ASPELL_DIR}/aspell-dev-0-50-3-3/include)
				set (ASPELL_LIBRARY_DIR ${WIN_ASPELL_DIR}/bin)
			endif (MSVC)
	
			set (ASPELL_LIBRARIES aspell-15)
		endif (NOT WIN_ASPELL_DIR)
	else (WIN32)
		if (WITH_ENCHANT AND NOT WITH_ASPELL)
			set (USE_ENCHANT TRUE)
			set (FORCE_ENGINE TRUE)
		else (WITH_ENCHANT AND NOT WITH_ASPELL)
			set (USE_ASPELL TRUE)
			if (WITH_ASPELL)
				set (FORCE_ENGINE TRUE)
			endif (WITH_ASPELL)
		
			if (WITH_ENCHANT)
				message (STATUS "Cannot use both enchant and aspell. Using aspell")
			endif (WITH_ENCHANT)
		endif (WITH_ENCHANT AND NOT WITH_ASPELL)
		
		if (USE_ASPELL)
			include (FindASPELL)
		
			if (NOT ASPELL_FOUND)
				if (FORCE_ENGINE)
					message (FATAL_ERROR "aspell not found!")
				else (FORCE_ENGINE)
					message (STATUS "aspell not found. Falling back to enchant")
					set (USE_ASPELL FALSE)
					set (USE_ENCHANT TRUE)
				endif (FORCE_ENGINE)
			endif (NOT ASPELL_FOUND)
		endif (USE_ASPELL)
		
		if (USE_ENCHANT)
			include (FindPkgConfig)
			pkg_search_module (ENCHANT enchant)
		
			if (NOT ENCHANT_FOUND)
				message (FATAL_ERROR "enchant not found!")
			endif (NOT ENCHANT_FOUND)
		endif (USE_ENCHANT)
	endif (WIN32)
	
	if (USE_ASPELL)
		message (STATUS "Using aspell as backend. To force enchant use -DWITH_ENCHANT=ON")
		add_definitions (-DHAVE_ASPELL)
	
		set (LIBRARIES ${ASPELL_LIBRARIES})
		link_directories (${ASPELL_LIBRARY_DIR})
		include_directories (${ASPELL_INCLUDE_DIR})
	else (USE_ASPELL)
		message (STATUS "Using enchant as backend")
		add_definitions (-DHAVE_ENCHANT)
	
		set (LIBRARIES ${ENCHANT_LIBRARIES})
		link_directories (${ENCHANT_LIBRARY_DIRS})
		include_directories (${ENCHANT_INCLUDE_DIRS})
		add_definitions (${ENCHANT_DEFINITIONS})
	endif (USE_ASPELL)
endif (APPLE)

kadu_plugin (spellchecker
	PLUGIN_SOURCES ${SOURCES}
	PLUGIN_MOC_SOURCES ${MOC_SOURCES}
	PLUGIN_TRANSLATION_SOURCES ${TRANSLATION_SOURCES}
	PLUGIN_CONFIGURATION_FILES ${CONFIGURATION_FILES}
	PLUGIN_LIBRARIES ${LIBRARIES}
)

=== debian/changelog ===
kadu (0.11.1-2) unstable; urgency=low

  * Fixed serious mistake in changelog entry for 0.11.1-1:
    This upstream versions contains important security issues... ->
    This upstream versions contains fixes of important security issues

 -- Patryk Cisek <patryk@debian.org>  Tue, 28 Feb 2012 08:15:00 +0100

kadu (0.11.1-1) unstable; urgency=high

  * New upstream release
  * This upstream versions contains fixes of important security issues
    introduced in version 0.9.0.
  * Bumped Standards-Version to 3.9.3
  * Added kadu_completion plugin to kadu-external-modules
  * TLS negotiation problem solved upstream (Closes: #634037)
  * Wide description window problem solved upstream (Closes: #592931)

 -- Patryk Cisek <patryk@debian.org>  Mon, 27 Feb 2012 10:33:53 +0100

kadu (0.11.0-2) unstable; urgency=low

  * Added aspell package to Build-Depends
  * 0-e

 -- Patryk Cisek <patryk@debian.org>  Sun, 26 Feb 2012 19:54:09 +0100

kadu (0.11.0-1) unstable; urgency=low

  * New upstream release
  * Updated messagessplitter to newest upstream version

 -- Patryk Cisek <patryk@debian.org>  Sat, 04 Feb 2012 14:37:35 +0100

kadu (0.11.0~rc3-1) unstable; urgency=low

  * New upstream release
  * Renamed 05-lowered_expectant_libgadu_version.patch to 04-
    lowered_expectant_libgadu_version.patch

 -- Patryk Cisek <patryk@debian.org>  Thu, 02 Feb 2012 16:52:30 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Patryk Cisek <patryk@debian.org>
 Vcs-Git: git://git.debian.org/users/patryk/kadu.git
 Vcs-Browser: http://git.debian.org/?p=users/patryk/kadu.git
-Build-Depends: bzip2,
+Build-Depends: aspell,
+               bzip2,
                cmake (>=2.6),
                debhelper (>= 7),
                libasound2-dev,
@@ -28,7 +29,7 @@
                sharutils,
                x11proto-scrnsaver-dev,
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://kadu.net
 
 Package: kadu
